//
//  MulticastDaemon.h
//  WrestlingTools
//
//  Created by Adam Fenn on 11/15/11.
//  Copyright (c) Wrestling Video Solutions. All rights reserved.
//

#import <Foundation/Foundation.h>

@class MulticastDaemon;

@protocol ThreadLogicContainerDelegate <NSObject>
- (void)multicastDaemonDidStart:(MulticastDaemon*)theThreadLogicContainer;
- (void)multicastDaemonDidReceiveData:(MulticastDaemon*)theThreadLogicContainer receivedString:(NSString*)receivedString;
- (void)multicastDaemonDidFinish:(MulticastDaemon*)theThreadLogicContainer;
- (void)multicastDaemonDidFinish:(MulticastDaemon*)theThreadLogicContainer withError:(NSString*) error;
- (void)multicastDaemonDidReceiveData:(MulticastDaemon*)theThreadLogicContainer withError:(NSString*) error;
@end

@interface MulticastDaemon : NSObject {

#define MAX_LEN  1024   /* maximum receive string size */

    
}

- (void)doWorkWithDelegate:(id<ThreadLogicContainerDelegate>)delegate;


@end
