//
//  Multicast Receive.h
//  WrestlingTools
//
//  Created by Adam Fenn on 11/14/11.
//  Copyright 2011 Wrestling Video Solutions. All rights reserved.
//

#import <Cocoa/Cocoa.h>


#import <Quartz/Quartz.h>
#import <MulticastDaemon.h>

@interface MulticastReceive : QCPlugIn
{
@private NSString *latestString;
@private NSString *lastString;
@private NSString *multicastAddress;
@private NSString *portNumber;
@private MulticastDaemon *multicastDaemon;
@private NSThread *daemonThread;
@private BOOL started;

    
}

/*
 Declare here the Obj-C 2.0 properties to be used as input and output ports for the plug-in e.g.
 @property double inputFoo;
 @property(assign) NSString* outputBar;
 You can access their values in the appropriate plug-in methods using self.inputFoo or self.inputBar
 */

@property(assign) NSString* inputMulticastAddress;
@property(assign) NSString* inputPortNumber;
@property(assign) NSString* outputString;
@property(readwrite,assign) NSString *latestString;
@property(readwrite,assign) NSString *lastString;
@property(readwrite,assign) NSString *multicastAddress;
@property(readwrite,assign) NSString *portNumber;
@property(readwrite,assign) BOOL started;
@property(readwrite,assign) MulticastDaemon *multicastDaemon;
@property(readwrite,assign) NSThread *daemonThread;



@end

